package demo.arrays.serverPackage;
final public class arrayContainerHolder
	implements org.omg.CORBA.portable.Streamable
{
	public demo.arrays.serverPackage.arrayContainer value;

	public arrayContainerHolder ()
	{
	}
	public arrayContainerHolder (demo.arrays.serverPackage.arrayContainer initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return demo.arrays.serverPackage.arrayContainerHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream in)
	{
		value = demo.arrays.serverPackage.arrayContainerHelper.read(in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream out)
	{
		demo.arrays.serverPackage.arrayContainerHelper.write(out,value);
	}
}


